Loopback interface shouldn't be reported by sysinfo

Bug #608314 reported by Thomas Herve on 2010-07-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Thomas Herve
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Thomas Herve (therve) on 2010-07-22
Changed in landscape-client:
assignee: nobody → Thomas Herve (therve)
milestone: later → 1.5.4
Thomas Herve (therve) wrote :

Fixed in r274.

Changed in landscape-client:
status: New → Fix Committed
tags: removed: sooner-than-later
tags: added: needs-testing
Martin Pitt (pitti) on 2010-08-18
Changed in landscape-client (Ubuntu Maverick):
status: New → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

Confirmed fixed for Lucid with the package in lucid-proposed. The "lo" interface is not displayed:

(...)
  System information as of Fri Aug 20 14:28:00 UTC 2010

  System load: 0.29 Processes: 86
  Usage of /: 57.1% of 1.36GB Users logged in: 0
  Memory usage: 36% IP address for eth0: 172.56.125.35
  Swap usage: 0%
(...)

The interface exists:
ubuntu@ip-172-56-125-35:~$ ifconfig lo
lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

The package comes from lucid-proposed:
ubuntu@ip-172-56-125-35:~$ apt-cache policy landscape-client
landscape-client:
  Installed: 1.5.4-0ubuntu0.10.04.0
  Candidate: 1.5.4-0ubuntu0.10.04.0
  Version table:
 *** 1.5.4-0ubuntu0.10.04.0 0
        500 http://archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     1.5.2.1-0ubuntu0.10.04.0 0
        500 http://archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
     1.5.0.1-0ubuntu0.10.04.0 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
ubuntu@ip-172-56-125-35:~$

tags: added: verification-done
removed: verification-needed
Andreas Hasenack (ahasenack) wrote :

Confirmed working on Karmic:

ubuntu@ip-172-56-125-36:~$ landscape-sysinfo
  System load: 1.94 Processes: 66
  Usage of /: 33.2% of 1.97GB Users logged in: 1
  Memory usage: 38% IP address for eth0: 172.56.125.36
  Swap usage: 0%

  Graph this data and manage this system at https://landscape.canonical.com/

ubuntu@ip-172-56-125-36:~$ apt-cache policy landscape-client
landscape-client:
  Installed: 1.5.4-0ubuntu0.9.10.0
  Candidate: 1.5.4-0ubuntu0.9.10.0
  Version table:
 *** 1.5.4-0ubuntu0.9.10.0 0
        500 http://archive.ubuntu.com karmic-proposed/main Packages
        100 /var/lib/dpkg/status
     1.5.2.1-0ubuntu0.9.10.0 0
        500 http://archive.ubuntu.com karmic-updates/main Packages
     1.3.2.4-0ubuntu0.9.10.0 0
        500 http://archive.ubuntu.com karmic/main Packages

ubuntu@ip-172-56-125-36:~$ ifconfig lo
lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

Andreas Hasenack (ahasenack) wrote :

Confirmed working in jaunty:

root@jaunty-vm:~# ifconfig lo
lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

root@jaunty-vm:~# landscape-sysinfo
  System load: 0.07 Processes: 61
  Usage of /: 7.4% of 9.38GB Users logged in: 1
  Memory usage: 11% IP address for eth0: 192.168.122.211
  Swap usage: 0%

  Graph this data and manage this system at https://landscape.canonical.com/

root@jaunty-vm:~# apt-cache policy landscape-client
landscape-client:
  Installed: 1.5.4-0ubuntu0.9.04.0
  Candidate: 1.5.4-0ubuntu0.9.04.0
  Version table:
 *** 1.5.4-0ubuntu0.9.04.0 0
        500 http://br.archive.ubuntu.com jaunty-proposed/main Packages
        100 /var/lib/dpkg/status
     1.5.2.1-0ubuntu0.9.04.0 0
        500 http://br.archive.ubuntu.com jaunty-updates/main Packages
     1.0.29.1-0ubuntu0.9.04.0 0
        500 http://br.archive.ubuntu.com jaunty/main Packages

tags: removed: needs-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.10.04.0

---------------
landscape-client (1.5.4-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.9.04.0

---------------
landscape-client (1.5.4-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.9.10.0

---------------
landscape-client (1.5.4-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers